Bug 1822680 - [4.3] [OSP] [BUG] Controllers don't seem to respect 'ignore-volume-az = true'
Summary: [4.3] [OSP] [BUG] Controllers don't seem to respect 'ignore-volume-az = true'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.2.z
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 4.3.z
Assignee: Mike Fedosin
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 1822667
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-09 15:32 UTC by Mike Fedosin
Modified: 2020-05-27 17:00 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1786446
Environment:
Last Closed: 2020-05-27 17:00:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24855 None closed Bug 1822680: UPSTREAM: 88424: Respect ignore-volume-az option in admission plugin 2020-07-04 06:51:15 UTC
Red Hat Product Errata RHBA-2020:2184 None None None 2020-05-27 17:00:58 UTC

Comment 1 Jan Safranek 2020-04-21 14:04:58 UTC
https://github.com/openshift/origin/pull/24855

Comment 4 Wei Duan 2020-05-18 09:52:01 UTC
Verified pass.

[wduan@MINT 01_general]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.3.0-0.nightly-2020-05-17-223233   True        False         5h37m   Cluster version is 4.3.0-0.nightly-2020-05-17-223233


[wduan@MINT 01_general]$ oc get pv --show-labels
NAME                                       CAPACITY   ACCESS MODES   RECLAIM POLICY   STATUS   CLAIM           STORAGECLASS   REASON   AGE     LABELS
pvc-1d571e98-5883-43a6-84a2-4fc980a4e8af   2Gi        RWO            Delete           Bound    wduan/mypvc01   standard                3m12s   <none>


[wduan@MINT 01_general]$ oc get pv pvc-1d571e98-5883-43a6-84a2-4fc980a4e8af -o yaml
apiVersion: v1
kind: PersistentVolume
metadata:
  annotations:
    kubernetes.io/createdby: cinder-dynamic-provisioner
    pv.kubernetes.io/bound-by-controller: "yes"
    pv.kubernetes.io/provisioned-by: kubernetes.io/cinder
  creationTimestamp: "2020-05-18T09:46:37Z"
  finalizers:
  - kubernetes.io/pv-protection
  name: pvc-1d571e98-5883-43a6-84a2-4fc980a4e8af
  resourceVersion: "115259"
  selfLink: /api/v1/persistentvolumes/pvc-1d571e98-5883-43a6-84a2-4fc980a4e8af
  uid: 6a889a6b-f7d2-4b8e-84a4-cd68986fe22e
spec:
  accessModes:
  - ReadWriteOnce
  capacity:
    storage: 2Gi
  cinder:
    volumeID: b8cd2688-3958-442d-8464-23246874d9a1
  claimRef:
    apiVersion: v1
    kind: PersistentVolumeClaim
    name: mypvc01
    namespace: wduan
    resourceVersion: "115256"
    uid: 1d571e98-5883-43a6-84a2-4fc980a4e8af
  persistentVolumeReclaimPolicy: Delete
  storageClassName: standard
  volumeMode: Filesystem
status:
  phase: Bound

Comment 6 errata-xmlrpc 2020-05-27 17:00:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2184


Note You need to log in before you can comment on or make changes to this bug.